@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

:root {
	--ff: "Roboto", sans-serif;

	--clr-light-white: #f9f6ff;
	--clr-purple-300: #270082;
	--clr-purple-500: #281154;
	--clr-purple-600: #1b0058;

	--max-width: 1200px;
}

*,
*::before,
*::after {
	box-sizing: border-box;
}

* {
	margin: 0;
	padding: 0;
}

html {
	font-size: 62.5%;
	scroll-behavior: smooth;
}

body {
	font-family: var(--ff);
	font-size: 1.6rem;
	line-height: 1.4;
	color: #ffffff;
	background-color: var(--clr-light-white);
}

html,
body {
	scroll-behavior: smooth;
}

section {
	scroll-margin: 5rem;
}

h1,
h2,
h3,
h4 {
	line-height: 1.2;
}

img {
	max-width: 100%;
	object-fit: cover;
}

p {
	font-size: 1.1rem;
	font-weight: 300;
}

.container {
	width: 100%;
	max-width: var(--max-width);
	margin: 0 auto;
	padding-inline: 1rem;
}

.btn {
	border: none;
	border-radius: 0.4rem;
	padding: 0.8em 1em;
	cursor: pointer;
}

/* HEADER-NAV SECTION STYLING */
header {
	background-color: var(--clr-purple-300);
	padding-block: 1rem;
	position: sticky;
	top: 0;
	z-index: 100;
}

nav {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.logo {
	font-weight: 600;
}

ul {
	list-style: none;
	display: flex;
	align-items: center;
	gap: 1rem;
}

a {
	text-decoration: none;
	color: #ffffff;
	font-size: 1.2rem;
	border-bottom: 2px solid transparent;
	transition: all 0.4s;
	cursor: pointer;
}

a:hover {
	border-bottom: 2px solid #ffffff;
}

@media (min-width: 450px) {
	.logo {
		font-size: 2rem;
	}
	a {
		font-size: 1.4rem;
	}
	ul {
		gap: 1.5rem;
	}
	.container {
		padding-inline: 1.5rem;
	}
	header {
		padding-block: 1.5rem;
	}
}
@media (min-width: 850px) {
	.logo {
		font-size: 2.4rem;
	}
	a {
		font-size: 1.6rem;
	}
	ul {
		gap: 1.6rem;
	}
	.container {
		padding-inline: 1.8rem;
	}
	header {
		padding-block: 1.6rem;
	}
}
@media (min-width: 1100px) {
	.logo {
		font-size: 2.8rem;
	}
	a {
		font-size: 1.8rem;
	}
	ul {
		gap: 3rem;
	}
	header {
		padding-block: 1.8rem;
	}
}

/* HERO SECTION STYLING */
#hero {
	width: 100vw;
	height: 100vh;
	background-image: url(./images/hero_image.png);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;

	display: flex;
	align-items: center;
	justify-content: center;
}

.hero-data {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
	text-align: center;
	padding: 0 2rem;
}

h1 {
	font-size: 4rem;
	font-weight: 800;
	margin-top: -6rem;
}

h3 {
	font-size: 1.4rem;
	font-weight: 500;
	margin-block: 2rem;
}

@media (min-width: 650px) {
	.hero-data {
		padding: 0 5rem;
	}
}

@media (min-width: 850px) {
	.hero-data {
		padding: 0 8rem;
	}
}

@media (min-width: 1100px) {
	.hero-data {
		padding: 0 12rem;
	}
}

@media (min-width: 1200px) {
	h1 {
		font-size: 6rem;
	}
	h3 {
		font-size: 1.6rem;
	}
	p {
		font-size: 1.5rem;
	}
	.hero-data {
		padding: 0 25rem;
	}
}

/* MUSIC SECTION STYLING */
#music {
	background-color: var(--clr-purple-500);
	padding: 3rem 2rem;
	text-align: center;
}

#music h4 {
	margin-block: 2rem;
}

.light {
	margin-block: 1rem 2rem;
}

.red-btn {
	margin-block: 2rem 1rem;
	background-color: red;
	border: 1px solid transparent;
	color: #fff;
	transition: 0.5s all;
}

.red-btn:hover {
	color: red;
	background-color: #fff;
	border: 1px solid red;
}

.ipad-iphone-img-container {
	width: 80%;
	margin: 0 auto;
}

@media (min-width: 650px) {
	#music h2 {
		font-size: 3rem;
	}
	#music h4 {
		font-size: 1.8rem;
	}
	#music p {
		font-size: 1.4rem;
		padding-inline: 1.8rem;
	}
}

@media (min-width: 850px) {
	.ipad-iphone-img-container {
		position: relative;
		top: 30rem;
		margin-top: -30rem;
	}
	#music {
		padding-top: 4rem;
	}
}

/* MUSIC-ABOUT SECTION STYLING */
#music-about {
	color: #000000;
	text-align: center;
	padding: 3rem 2rem;
}

#music-about h2 {
	font-size: 2rem;
	margin-bottom: 1.5rem;
}

.blue-btn {
	margin-block: 2rem;
	background-color: blue;
	border: 1px solid transparent;
	color: #fff;
	transition: 0.5s all;
}

.blue-btn:hover {
	color: blue;
	background-color: #fff;
	border: 1px solid blue;
}

.about-music-img-container {
	width: 90%;
	margin: 0 auto;
}

@media (min-width: 600px) {
	#music-about {
		padding: 4rem;
	}
}

@media (min-width: 730px) {
	#music-about h2 {
		font-size: 2.5rem;
	}
}

@media (min-width: 850px) {
	#music-about {
		padding-top: 30rem;
	}
	#music-about h2 {
		font-size: 3rem;
	}
}

/* VIDEO SECTION STYLING */
#video {
	width: 100vw;
	height: 100vh;
	background-image: url(./images/video.png);
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	text-align: center;
	display: flex;
	align-items: center;
	justify-content: center;
	padding: 3rem;
}

.video-data h3 {
	font-size: 2rem;
	font-weight: 800;
}

.video-data p {
	font-size: 1rem;
	font-weight: 500;
}

@media (min-width: 650px) {
	.video-data {
		width: 80%;
		margin: 0 auto;
	}

	.video-data h3 {
		font-size: 2.5rem;
	}

	.video-data p {
		font-size: 1.2rem;
	}
}

@media (min-width: 850px) {
	.video-data h3 {
		font-size: 3rem;
	}

	.video-data p {
		font-size: 1.5rem;
	}
}

/* GIFT-CARD SECTION STYLING */
#gift-card {
	color: #000000;
	padding: 3rem;
}

.gift-card-img {
	width: 95%;
	display: block;
	text-align: center;
	margin: 0 auto;
}

.gift-card-detail h3 {
	font-size: 2.5rem;
	font-weight: 800;
}

.gift-card-detail p {
	font-size: 1.4rem;
	font-weight: 400;
	text-align: left;
	margin-bottom: 1rem;
	line-height: 1.5;
}

hr {
	border-bottom: 0.5px solid #3e3e3e;
	margin-block: 2rem 0;
}

@media (min-width: 650px) {
	#gift-card {
		padding: 5rem;
	}
}

@media (min-width: 850px) {
	.gift-card {
		display: flex;
		align-items: center;
		justify-content: space-between;
	}
	.gift-card-img {
		width: 250%;
	}
	.gift-card-img img {
		width: 100%;
	}
	.gift-card-detail {
		margin-left: 2rem;
	}
}

@media (min-width: 1100px) {
	.gift-card-img img {
		width: 80%;
	}
}

/* FOOTER SECTION STYLING */
footer hr {
	margin-block: 1rem;
}
.footer-links {
	background-color: var(--clr-purple-600);
	padding: 3rem;
}
.footer-links ul {
	display: block;
	margin-bottom: 2rem;
}
.footer-links li {
	font-size: 1.2rem;
	font-weight: 300;
}
.footer-text {
	text-align: center;
	background-color: var(--clr-purple-300);
	padding: 2rem 0;
}

@media (min-width: 550px) {
	.footer-links {
		display: flex;
		align-items: center;
		justify-content: space-evenly;
		flex-wrap: wrap;
	}
	.footer-links > * + * {
		margin-left: 2rem;
	}
}

@media (min-width: 1000px) {
	.footer-links h4 {
		font-size: 2rem;
	}
	.footer-links li {
		font-size: 1.4rem;
	}
}
